## lomiri-calendar-app 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(lomiri-calendar-app VERSION 1.0.2 LANGUAGES CXX)

include(FindGettext)
if(NOT GETTEXT_FOUND)
    message(FATAL_ERROR "Could not find gettext")
endif(NOT GETTEXT_FOUND)

find_package(Qt5Core REQUIRED)
find_package(Qt5Qml REQUIRED)
find_package(Qt5Quick REQUIRED)

option(INSTALL_TESTS "Install the tests on make install" on)
option(CLICK_MODE "Installs to a contained location" on)

# Standard install paths
include(GNUInstallDirs)

# Tests
enable_testing()

# Automatically create moc files
set(CMAKE_AUTOMOC ON)

# Components PATH
execute_process(
    COMMAND dpkg-architecture -qDEB_HOST_MULTIARCH
    OUTPUT_VARIABLE ARCH_TRIPLET
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

set(QT_IMPORTS_DIR "lib/${ARCH_TRIPLET}")

set(CLICK_NAME calendar.ubports)
set(DESKTOP_FILE ${PROJECT_NAME}.desktop)
set(APPLICATION_FILE "${PROJECT_NAME}.application")
set(URLS_FILE "${PROJECT_NAME}.url-dispatcher")
set(MAIN_QML qml/calendar.qml)
set(ICON_FILE assets/lomiri-calendar-app@30.png)
set(SPLASH_FILE assets/lomiri-calendar-app-splash.svg)
set(AUTOPILOT_DIR "lomiri_calendar_app")
set(APP_HARDCODE "lomiri-calendar-app")

set(CLICK_ARCH "all")

if(CLICK_MODE)
    set(CMAKE_INSTALL_PREFIX /)
    set(DATA_DIR /)
    set(ICON ${ICON_FILE})
    set(SPLASH ${SPLASH_FILE})
    set(EXEC "lomiri-calendar-app-migrate.py qmlscene %U ${MAIN_QML}")
    set(DESKTOP_DIR ${DATA_DIR})
    set(URLS_DIR ${DATA_DIR})
    set(APPLICATION_DIR ${DATA_DIR})
    configure_file(manifest.json.in ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
    install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/manifest.json
        ${CLICK_NAME}.apparmor
        push-helper
        push-helper.json
        calendar-helper-apparmor.json
        DESTINATION ${DATA_DIR})
else(CLICK_MODE)
    set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_HARDCODE})
    set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON_FILE})
    set(SPLASH ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${SPLASH_FILE})
    set(EXEC ${APP_HARDCODE})
    configure_file(${APP_HARDCODE}.in
        ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE})
    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE}
        DESTINATION ${CMAKE_INSTALL_BINDIR})
    set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
    set(URLS_DIR ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls)
    set(APPLICATION_DIR ${CMAKE_INSTALL_DATADIR}/accounts/applications)
endif(CLICK_MODE)

install(PROGRAMS lomiri-calendar-app-migrate.py DESTINATION ${DATA_DIR})

configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in)

add_custom_target(${DESKTOP_FILE} ALL
    COMMENT "Merging translations into ${DESKTOP_FILE}..."
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
            --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
            -o ${DESKTOP_FILE}
            -d ${CMAKE_SOURCE_DIR}/po
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE} DESTINATION ${DESKTOP_DIR})

install(FILES ${URLS_FILE} DESTINATION ${URLS_DIR})

install(FILES ${APPLICATION_FILE} DESTINATION ${APPLICATION_DIR})

install(DIRECTORY qml assets DESTINATION ${DATA_DIR})

add_subdirectory(po)
add_subdirectory(tests)

=== po/CMakeLists.txt ===
include(FindGettext)
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

set(DOMAIN ${PROJECT_NAME})
set(POT_FILE ${DOMAIN}.pot)

file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS LINGUAS
     REGEX "^[^#].*")
string(REGEX MATCHALL "[^ \t]+" LANGS "${LINGUAS}")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in
               ${CMAKE_CURRENT_BINARY_DIR}/POTFILES COPYONLY
)

add_custom_target(${POT_FILE} ALL
COMMENT "Generating translation template"
    # Extract the translatable messages from the desktop file
    COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
        --from-code=UTF-8
        --language=Desktop
        --package-name='${PROJECT_NAME}'
        -D ${CMAKE_BINARY_DIR}
        ${DESKTOP_FILE}.in
    COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
        -D ${CMAKE_SOURCE_DIR}
        -D ${CMAKE_CURRENT_SOURCE_DIR}
        -D ${CMAKE_CURRENT_BINARY_DIR}
        --from-code=UTF-8
        --c++ --qt --language=javascript --add-comments=TRANSLATORS
        --keyword=tr --keyword=tr:1,2 --keyword=N_ --keyword=_
        --package-name='${PROJECT_NAME}'
        --join-existing
        --files-from=${CMAKE_CURRENT_BINARY_DIR}/POTFILES)

foreach(LANG ${LANGS})
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${LANG}.po
        ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po
        COPYONLY)
endforeach(LANG)
gettext_process_pot_file(${POT_FILE} ALL
        INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR}
        LANGUAGES ${LANGS})

=== debian/changelog ===
lomiri-calendar-app (1.0.2-2) unstable; urgency=medium

  * debian/control:
    + Add to R: lomiri-sync-monitor-loa.
    + Add to D: qml-module-lomiri-onlineaccounts-client, qml-module-sso-
      onlineaccounts.
  * debian/patches:
    + Add 1002_Lomiri-OnlineAccounts-must-be-SSO-OnlineAccounts.patch. Fix
      using the wrong OnlineAccounts implementations.
    + Add 0001_fix-providers-not-shown-when-adding-a-new-online-account.patch.
      Fix providers not shown when adding a new Online Account. the
      applicationId must match the filename provided with the LOA .application.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 31 Aug 2024 07:44:24 +0200

lomiri-calendar-app (1.0.2-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1078908).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 17 Aug 2024 17:03:46 +0200

=== debian/control ===
Source: lomiri-calendar-app
Priority: optional
Section: misc
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               intltool,
               qtcontacts5-plugin-sqlite-dev,
               qml-module-qtorganizer,
               qml-module-qtquick2,
               qml-module-qttest,
               qml-module-lomiri-components,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/apps/lomiri-calendar-app
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-calendar-app.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-calendar-app

Package: lomiri-calendar-app
Architecture: all
Depends: ${misc:Depends},
         libqt5contact5-plugin-sqlite,
         qmlscene,
         qml-module-qt-labs-settings,
         qml-module-qtcontacts,
         qml-module-qtorganizer,
         qml-module-lomiri-components,
         qml-module-lomiri-onlineaccounts-client,
         qml-module-lomiri-syncmonitor,
         qml-module-sso-onlineaccounts,
         qtorganizer5-eds,
         suru-icon-theme,
Recommends: lomiri-sync-monitor-loa,
Description: Calendar App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Calendar App.

## lomiri-calendar-app 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-calendar-app VERSION 1.0.2 LANGUAGES CXX)
+project(lomiri-calendar-app VERSION 1.1.0 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -35,20 +35,17 @@
 set(DESKTOP_FILE ${PROJECT_NAME}.desktop)
 set(APPLICATION_FILE "${PROJECT_NAME}.application")
 set(URLS_FILE "${PROJECT_NAME}.url-dispatcher")
-set(MAIN_QML qml/calendar.qml)
-set(ICON_FILE assets/lomiri-calendar-app@30.png)
-set(SPLASH_FILE assets/lomiri-calendar-app-splash.svg)
+set(ICON_FILE lomiri-calendar-app@30.png)
+set(SPLASH_FILE lomiri-calendar-app-splash.svg)
 set(AUTOPILOT_DIR "lomiri_calendar_app")
 set(APP_HARDCODE "lomiri-calendar-app")
-
-set(CLICK_ARCH "all")
 
 if(CLICK_MODE)
     set(CMAKE_INSTALL_PREFIX /)
     set(DATA_DIR /)
     set(ICON ${ICON_FILE})
     set(SPLASH ${SPLASH_FILE})
-    set(EXEC "lomiri-calendar-app-migrate.py qmlscene %U ${MAIN_QML}")
+    set(EXEC "lomiri-calendar-app-migrate.py ${CMAKE_INSTALL_BINDIR}/${APP_HARDCODE} %U")
     set(DESKTOP_DIR ${DATA_DIR})
     set(URLS_DIR ${DATA_DIR})
     set(APPLICATION_DIR ${DATA_DIR})
@@ -56,6 +53,7 @@
     install(FILES
         ${CMAKE_CURRENT_BINARY_DIR}/manifest.json
         ${CLICK_NAME}.apparmor
+        ${CLICK_NAME}.contenthub
         push-helper
         push-helper.json
         calendar-helper-apparmor.json
@@ -65,17 +63,18 @@
     set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON_FILE})
     set(SPLASH ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${SPLASH_FILE})
     set(EXEC ${APP_HARDCODE})
-    configure_file(${APP_HARDCODE}.in
-        ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE})
-    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE}
-        DESTINATION ${CMAKE_INSTALL_BINDIR})
     set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
     set(URLS_DIR ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls)
     set(APPLICATION_DIR ${CMAKE_INSTALL_DATADIR}/accounts/applications)
+    install(FILES
+            push-helper
+            RENAME ${APP_HARDCODE}
+            DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/lomiri-push-service/legacy-helpers)
+    install(FILES calendar.ubports.contenthub
+            DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-content-hub/peers/ RENAME lomiri-calendar-app)
 endif(CLICK_MODE)
 
-install(PROGRAMS lomiri-calendar-app-migrate.py DESTINATION ${DATA_DIR})
-
+# Handle i18n in the desktop file
 configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in)
 
 add_custom_target(${DESKTOP_FILE} ALL
@@ -86,13 +85,14 @@
             -d ${CMAKE_SOURCE_DIR}/po
 )
 
+install(PROGRAMS lomiri-calendar-app-migrate.py DESTINATION ${DATA_DIR})
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE} DESTINATION ${DESKTOP_DIR})
-
 install(FILES ${URLS_FILE} DESTINATION ${URLS_DIR})
-
+install(FILES ${SPLASH_FILE} DESTINATION ${DATA_DIR})
+install(FILES ${ICON_FILE} DESTINATION ${DATA_DIR})
 install(FILES ${APPLICATION_FILE} DESTINATION ${APPLICATION_DIR})
 
-install(DIRECTORY qml assets DESTINATION ${DATA_DIR})
 
+add_subdirectory(src)
 add_subdirectory(po)
 add_subdirectory(tests)

=== debian/changelog ===
lomiri-calendar-app (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_fix-providers-not-shown-when-adding-a-new-online-account.patch,
      1001_non-click-mode-install-push-helper.patch and 1002_Lomiri-
      OnlineAccounts-must-be-SSO-OnlineAccounts.patch. All applied upstream.
    + Add 0002_Migrate-to-new-QtContact-sqlite-backend.patch, part of
      QtContacts-Sqlite port of lomiri-addressbook-app.
    + Add 1001_typo-fixes.patch.
  * debian/control:
    + Turn lomiri-calendar-app bin:pkg into arch:any package.
    + Add D (lomiri-calendar-app): qml-module-lomiri-contacts.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 01 Nov 2024 11:29:04 +0100

## lomiri-calendar-app 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-calendar-app VERSION 1.1.0 LANGUAGES CXX)
+project(lomiri-calendar-app VERSION 1.1.1 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -81,6 +81,7 @@
     COMMENT "Merging translations into ${DESKTOP_FILE}..."
     COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
             --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
+            --keyword --keyword=Name --keyword=Comment --keyword=Keywords
             -o ${DESKTOP_FILE}
             -d ${CMAKE_SOURCE_DIR}/po
 )

=== debian/changelog ===
lomiri-calendar-app (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_typo-fixes.patch. Applied upstream.
  * debian/lomiri-calendar-app.lintian-overrides:
    + Ignore missing-dependency-on-libc and missing-dependency-on-libstdc++.
      The missing linkage is true, but can happen with Qt applications.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Nov 2024 12:42:07 +0100

=== debian/control ===
--- 
+++ 
@@ -20,14 +20,14 @@
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-calendar-app
 
 Package: lomiri-calendar-app
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends},
          libqt5contact5-plugin-sqlite,
-         qmlscene,
          qml-module-qt-labs-settings,
          qml-module-qtcontacts,
          qml-module-qtorganizer,
          qml-module-lomiri-components,
+         qml-module-lomiri-contacts,
          qml-module-lomiri-onlineaccounts-client,
          qml-module-lomiri-syncmonitor,
          qml-module-sso-onlineaccounts,

## lomiri-calendar-app 1.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-calendar-app VERSION 1.1.1 LANGUAGES CXX)
+project(lomiri-calendar-app VERSION 1.1.2 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -81,7 +81,6 @@
     COMMENT "Merging translations into ${DESKTOP_FILE}..."
     COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
             --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
-            --keyword --keyword=Name --keyword=Comment --keyword=Keywords
             -o ${DESKTOP_FILE}
             -d ${CMAKE_SOURCE_DIR}/po
 )

=== src/CMakeLists.txt ===
set(calendar_app_SRCS
    main.cpp
)

qt5_add_resources(QT_RESOURCES qml/resources.qrc)
qt5_add_resources(QT_RESOURCES assets/assets.qrc)

add_executable(${APP_HARDCODE}
    ${calendar_app_SRCS}
    ${QT_RESOURCES}
    )

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    )
target_link_libraries(${APP_HARDCODE}
    Qt5::Core
    Qt5::Gui
    Qt5::Qml
    Qt5::Quick
)

install(TARGETS ${APP_HARDCODE}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    )
install(DIRECTORY assets DESTINATION ${DATA_DIR})

=== debian/changelog ===
lomiri-calendar-app (1.1.2-4) unstable; urgency=medium

  * debian/patches:
    + Add 2003_hide-app-if-not-in-lomiri.patch. Hide app if not in Lomiri.
    + Add many more patches from upstream's feature/mkcal and main branch (0018
      - 0024). Rename 0020 patch to 0050.
  * debian/copyright:
    + Update attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Feb 2025 16:09:47 +0100

lomiri-calendar-app (1.1.2-3) unstable; urgency=medium

  * debian/patches:
    + Add 0018_google-calendar-support.patch. Add Google calendar support.
  * debian/control:
    + Adjust R:/S: for LOA components.
    + Drop from D: qml-module-lomiri-syncmonitor.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 29 Jan 2025 18:29:20 +0100

lomiri-calendar-app (1.1.2-2) unstable; urgency=medium

  * debian/patches: Cherry-pick various patches from upstream.
    + Transition from EDS to mkCal QtOrganizer backend:
      0011_EDS-mkCal-Initial-commit.patch
      0012_fix-allDay-events-not-shown.patch
      0013_Use-ButeoSync-profiles-for-sync-management.patch
      0015_Support-caldav-service.-Needed-by-buteo-caldav-plugi.patch
      0016_Clean-up-sync-monitor-usage.patch
      0017_Use-account-supported-metadata-instead-of-eds-metada.patch
    + Drop not required-any-mode ical.js file:
      0020_remove-ical-js.patch
    + Fix LOA providers not show in Calendar app:
      2002_fix-providers-not-shown-when-adding-new-OnlineAccount.patch
  * debian/control:
    + Adjust to EDS -> mkCal backend switch for QtOrganizer.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 19 Dec 2024 13:18:01 +0100

lomiri-calendar-app (1.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 09 Nov 2024 12:25:46 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                debhelper-compat (= 13),
                intltool,
                qtcontacts5-plugin-sqlite-dev,
+               qml-module-buteo-profiles,
                qml-module-qtorganizer,
                qml-module-qtquick2,
                qml-module-qttest,
@@ -23,17 +24,21 @@
 Architecture: any
 Depends: ${misc:Depends},
          libqt5contact5-plugin-sqlite,
+         qml-module-buteo-profiles,
          qml-module-qt-labs-settings,
-         qml-module-qtcontacts,
-         qml-module-qtorganizer,
+         qml-module-qtcontacts (>=  5.0~git20201102.f9a8f0fc+dfsg1-6~),
+         qml-module-qtorganizer (>=  5.0~git20201102.f9a8f0fc+dfsg1-6~),
          qml-module-lomiri-components,
          qml-module-lomiri-contacts,
          qml-module-lomiri-onlineaccounts-client,
-         qml-module-lomiri-syncmonitor,
          qml-module-sso-onlineaccounts,
-         qtorganizer5-eds,
+         qtorganizer5-mkcal,
          suru-icon-theme,
-Recommends: lomiri-sync-monitor-loa,
+Recommends:
+ lomiri-online-accounts-plugin-nextcloud-caldav,
+ lomiri-online-accounts-plugin-owncloud-caldav,
+Suggests:
+ lomiri-online-acconts-plugin-google,
 Description: Calendar App for Lomiri Operating Environment
  This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
  a mobile OS developed by the UBports Foundation. Lomiri is its operating

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- -DCLICK_MODE=OFF

override_dh_auto_test:
	# unit tests are failing, out of sync with the codebase

override_dh_auto_install:
	dh_auto_install
	rm debian/*/usr/share/lomiri-calendar-app/lomiri-calendar-app-migrate.py

override_dh_fixperms:
	dh_fixperms
	chmod 0755 debian/*/usr/lib/lomiri-push-service/legacy-helpers/lomiri-calendar-app

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## lomiri-calendar-app 1.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-calendar-app VERSION 1.1.2 LANGUAGES CXX)
+project(lomiri-calendar-app VERSION 1.1.3 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -12,6 +12,8 @@
 
 option(INSTALL_TESTS "Install the tests on make install" on)
 option(CLICK_MODE "Installs to a contained location" on)
+set(CLICK_VERSION "${PROJECT_VERSION}"
+    CACHE STRING "Version of built Click. Meaningful only in Click mode.")
 
 # Standard install paths
 include(GNUInstallDirs)
@@ -62,7 +64,7 @@
     set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_HARDCODE})
     set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON_FILE})
     set(SPLASH ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${SPLASH_FILE})
-    set(EXEC ${APP_HARDCODE})
+    set(EXEC "${APP_HARDCODE} %U")
     set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
     set(URLS_DIR ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls)
     set(APPLICATION_DIR ${CMAKE_INSTALL_DATADIR}/accounts/applications)

=== debian/changelog ===
lomiri-calendar-app (1.1.3-2) unstable; urgency=medium

  * debian/patches:
    + Add 0025_fix-default-calendar-change.patch. Fix changing the default
      calendar.
  * debian/control:
    + Update D: on qtorganizer5-mkcal to version
      (>= 0.1.0~git20250424.45906b1-1~), required for default calendar changing
      to be fully fixed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 May 2025 16:35:42 +0200

lomiri-calendar-app (1.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0003_Remove-deprecated-tabs.patch and 0023_Ensure-PageStack-is-
      initialized-before-pushing-conte.patch. Applied upstream.
    + Trivial rebase of 0011_EDS-mkCal-Initial-commit.patch and 0024-eds-mkcal-
      Allow-to-open-up-directly-an-event.patch.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Apr 2025 14:17:28 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                qml-module-lomiri-components,
                qtdeclarative5-dev,
                qtdeclarative5-dev-tools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-calendar-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-calendar-app.git
@@ -32,7 +32,7 @@
          qml-module-lomiri-contacts,
          qml-module-lomiri-onlineaccounts-client,
          qml-module-sso-onlineaccounts,
-         qtorganizer5-mkcal,
+         qtorganizer5-mkcal (>= 0.1.0~git20250424.45906b1-1~),
          suru-icon-theme,
 Recommends:
  lomiri-online-accounts-plugin-nextcloud-caldav,

## lomiri-calendar-app 1.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-calendar-app VERSION 1.1.3 LANGUAGES CXX)
+project(lomiri-calendar-app VERSION 1.1.4 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
     COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
         --from-code=UTF-8
         --language=Desktop
+        --keyword --keyword=Name --keyword=Comment --keyword=Keywords
         --package-name='${PROJECT_NAME}'
         -D ${CMAKE_BINARY_DIR}
         ${DESKTOP_FILE}.in

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,8 @@
+configure_file(config.hpp.in "${CMAKE_CURRENT_BINARY_DIR}/config.hpp" @ONLY)
+
 set(calendar_app_SRCS
     main.cpp
+    "${CMAKE_CURRENT_BINARY_DIR}/config.hpp"
 )
 
 qt5_add_resources(QT_RESOURCES qml/resources.qrc)

=== tests/autopilot/CMakeLists.txt ===
if(NOT CLICK_MODE)
if(INSTALL_TESTS)
execute_process(COMMAND python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())"
    OUTPUT_VARIABLE PYTHON_PACKAGE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)

install(DIRECTORY ${AUTOPILOT_DIR}
    DESTINATION ${PYTHON_PACKAGE_DIR}
    )
endif(INSTALL_TESTS)
endif(NOT CLICK_MODE)

add_subdirectory(lomiri_calendar_app)

=== tests/unittests/CMakeLists.txt ===
find_program(QMLTESTRUNNER qmltestrunner)

file(GLOB TESTS tst_*.qml)
foreach(TEST ${TESTS})
    get_filename_component(NAME ${TEST} NAME_WE)
    add_test(${NAME} ${QMLTESTRUNNER} -import ${CMAKE_SOURCE_DIR} -input ${TEST})
    set_tests_properties(${NAME} PROPERTIES ENVIRONMENT "QT_QPA_PLATFORM=minimal")
endforeach(TEST)

=== tests/autopilot/lomiri_calendar_app/CMakeLists.txt ===
add_subdirectory(tests)

# make the emulator files visible on qtcreator
file(GLOB PYTHON_EMULATOR_FILES
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
     *.py)

add_custom_target(lomiri_calendar_PYTHONEMULATORFiles ALL SOURCES ${PYTHON_EMULATOR_FILES})

=== tests/autopilot/lomiri_calendar_app/tests/CMakeLists.txt ===
# make the test files visible on qtcreator
file(GLOB PYTHON_TEST_FILES
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
     *.py)

add_custom_target(lomiri_calendar_PYTHONTESTFiles ALL SOURCES ${PYTHON_TEST_FILES})

=== debian/changelog ===
lomiri-calendar-app (1.1.4-2) unstable; urgency=medium

  * debian/patches:
    + Drop 2002_fix-providers-not-shown-when-adding-new-OnlineAccount.patch and
      add 0003_Set-ApplicationID-according-to-APP_ID-env-var.patch instead.
      Support overriding APP_ID via env var (default to CMake @PROJECT_NAME@).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 24 Jul 2025 23:16:37 +0200

lomiri-calendar-app (1.1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0050_remove-ical-js.patch. Drop 0050_remove-ical-js.patch. Applied
      upstream.
    + Rebase 0011_EDS-mkCal-Initial-commit.patch.
  * debian/copyright:
    + Update copyright attributions.
  * debian/rules:
    + Enable all hardening flags.
  * debian/control:
    + Add ${shlibs:Depends} to D: field. Drop lintian overrides masquerading
      that issue. (Silly me).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 12:46:56 +0200

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
 Package: lomiri-calendar-app
 Architecture: any
 Depends: ${misc:Depends},
+         ${shlibs:Depends},
          libqt5contact5-plugin-sqlite,
          qml-module-buteo-profiles,
          qml-module-qt-labs-settings,

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
